package com.neusoft.smart.pos.payment.persistent.mapper;

import com.neusoft.smart.pos.payment.persistent.domain.GrantPayOrder;
import com.neusoft.smart.pos.payment.persistent.domain.GrantPayOrderExample;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface GrantPayOrderMapper {
    int countByExample(GrantPayOrderExample example);

    int deleteByExample(GrantPayOrderExample example);

    int deleteByPrimaryKey(Integer id);

    int insert(GrantPayOrder record);

    int insertSelective(GrantPayOrder record);

    List<GrantPayOrder> selectByExample(GrantPayOrderExample example);

    GrantPayOrder selectByPrimaryKey(Integer id);

    int updateByExampleSelective(@Param("record") GrantPayOrder record, @Param("example") GrantPayOrderExample example);

    int updateByExample(@Param("record") GrantPayOrder record, @Param("example") GrantPayOrderExample example);

    int updateByPrimaryKeySelective(GrantPayOrder record);

    int updateByPrimaryKey(GrantPayOrder record);

    void batchInsert(@Param("items") List<GrantPayOrder> items);
}